OGRE: Ogre::GLES2FBORenderTexture Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::GLES2FBORenderTexture Class Reference

RenderTexture for GL ES 2 FBO. More...

`#include <OgreGLES2FBORenderTexture.h>`

Inheritance diagram for Ogre::GLES2FBORenderTexture:
[legend]

## Public Member Functions
| GLES2FBORenderTexture (GLES2FBOManager *manager, const String &name, const GLES2SurfaceDesc &target, bool writeGamma, uint fsaa)
virtual void | _detachDepthBuffer ()
virtual bool | attachDepthBuffer (DepthBuffer *depthBuffer, bool exactFormatMatch)
| Override so we can attach the depth buffer to the FBO. More...
virtual void | detachDepthBuffer ()
virtual void | getCustomAttribute (const String &name, void *pData)
virtual void | swapBuffers ()
| Override needed to deal with multisample buffers. More...

## Detailed Description

RenderTexture for GL ES 2 FBO.

## Constructor & Destructor Documentation

## ◆ GLES2FBORenderTexture()

Ogre::GLES2FBORenderTexture::GLES2FBORenderTexture | ( | GLES2FBOManager * | manager,
|  | const String & | name,
|  | const GLES2SurfaceDesc & | target,
|  | bool | writeGamma,
|  | uint | fsaa
| ) |  |

## Member Function Documentation

## ◆ _detachDepthBuffer()

virtual void Ogre::GLES2FBORenderTexture::_detachDepthBuffer | ( |  | ) |
| virtual

## ◆ attachDepthBuffer()

virtual bool Ogre::GLES2FBORenderTexture::attachDepthBuffer | ( | DepthBuffer * | depthBuffer,
|  | bool | exactFormatMatch
| ) |  |
| virtual

Override so we can attach the depth buffer to the FBO.

## ◆ detachDepthBuffer()

virtual void Ogre::GLES2FBORenderTexture::detachDepthBuffer | ( |  | ) |
| virtual

## ◆ getCustomAttribute()

virtual void Ogre::GLES2FBORenderTexture::getCustomAttribute | ( | const String & | name,
|  | void * | pData
| ) |  |
| virtual

## ◆ swapBuffers()

virtual void Ogre::GLES2FBORenderTexture::swapBuffers | ( |  | ) |
| virtual

Override needed to deal with multisample buffers.

The documentation for this class was generated from the following file:

- OgreGLES2FBORenderTexture.h